System
List a person's security events, newest first; secret fields are withheld
GET /v1/system/principals/{principalId}/security-events · SDK listSystemPrincipalSecurityEvents · CLI deployments system people events
GET
Requires platform:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
principalId*stringThe person's principal ID.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100ListSystemPrincipalSecurityEventsResponse
application/json- response
items*array<>nextCursor*|nullcurl -X GET "https://example.com/v1/system/principals/string/security-events"{ "items": [ { "actor": { "id": "string", "type": "string" }, "details": { "property1": "string", "property2": "string" }, "eventType": "string", "id": "string", "occurredAt": "2019-08-24T14:15:22Z", "withheldFields": [ "string" ] } ], "nextCursor": "string"}